[Python-modules-commits] r8299 - in packages/python-axiom/trunk/debian (postinst postrm rules)
mithrandi-guest at users.alioth.debian.org
mithrandi-guest at users.alioth.debian.org
Fri Apr 24 00:10:43 UTC 2009
Date: Friday, April 24, 2009 @ 00:10:40
Author: mithrandi-guest
Revision: 8299
Update Twisted and Axiom plugin caches in postinst / postrm.
Added:
packages/python-axiom/trunk/debian/postinst
packages/python-axiom/trunk/debian/postrm
Modified:
packages/python-axiom/trunk/debian/rules
Added: packages/python-axiom/trunk/debian/postinst
===================================================================
--- packages/python-axiom/trunk/debian/postinst (rev 0)
+++ packages/python-axiom/trunk/debian/postinst 2009-04-24 00:10:40 UTC (rev 8299)
@@ -0,0 +1,15 @@
+#! /bin/sh
+
+set -e
+
+#DEBHELPER#
+
+case "$1" in
+ configure)
+ for p in $(pyversions -i); do
+ $p -c 'from twisted.plugin import IPlugin, getPlugins; import axiom.plugins; list(getPlugins(IPlugin)); list(getPlugins(IPlugin, axiom.plugins))' >/dev/null 2>&1 || true
+ done
+ ;;
+esac
+
+exit 0
Added: packages/python-axiom/trunk/debian/postrm
===================================================================
--- packages/python-axiom/trunk/debian/postrm (rev 0)
+++ packages/python-axiom/trunk/debian/postrm 2009-04-24 00:10:40 UTC (rev 8299)
@@ -0,0 +1,15 @@
+#! /bin/sh
+
+set -e
+
+#DEBHELPER#
+
+case "$1" in
+ remove|purge)
+ for p in $(pyversions -i); do
+ $p -c 'from twisted.plugin import IPlugin, getPlugins; list(getPlugins(IPlugin))' >/dev/null 2>&1 || true
+ done
+ ;;
+esac
+
+exit 0
Modified: packages/python-axiom/trunk/debian/rules
===================================================================
--- packages/python-axiom/trunk/debian/rules 2009-04-23 23:32:56 UTC (rev 8298)
+++ packages/python-axiom/trunk/debian/rules 2009-04-24 00:10:40 UTC (rev 8299)
@@ -11,3 +11,4 @@
ifeq (,$(findstring nocheck,$(DEB_BUILD_OPTIONS)))
$(call cdbs_python_binary,python$(cdbs_python_compile_version)) debian/runtrial.py $(PKGDIR) axiom
endif
+ find $(PKGDIR) -name dropin.cache -delete
More information about the Python-modules-commits
mailing list